Subject: Re: bug#20727: 24.5; Font fallback doesn't work for the Emoji range

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Jun 2015 18:08:08 +0300

> Date: Sun, 14 Jun 2015 05:46:03 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> > Instead of using Symbola for all symbols, perhaps we should just use it for 
> > emoticons and other symbols known to be commonly bad.
> 
> That's what I intend to do next: leave Symbola only for symbols that
> are not well covered by other fonts.  Similar to the patch I've shown
> earlier.

I tried to do this in commit fce59d4; please try it.  I don't have an
easy way of testing the change related to fixed-medium font, so please
try the characters in the blocks for which I added preference for that
font, and see that they are displayed on your system using
"-misc-fixed-medium-r-...-iso10646-1" and not "Symbola".

Thanks.